## org.eclipse.ocl.expressions
Interface OperationCallExp<C,O>

All Superinterfaces:
  ASTNode, CallExp<C>, CallingASTNode, EObject, FeatureCallExp<C>, Notifier, OCLExpression<C>, TypedElement<C>, Visitable

All Known Subinterfaces:
  OperationCallExp

All Known Implementing Classes:
  OperationCallExpImpl, OperationCallExpImpl

    public interface OperationCallExp<C,O>

extends FeatureCallExp<C>

A representation of the model object 'Operation Call Exp'.

The following features are supported:

- `Argument`
- `Referred Operation`
- `Operation Code`

See Also:
  `ExpressionsPackage.getOperationCallExp()`

Method Summary
`boolean` `checkArgumentCount(DiagnosticChain diagnostics, Map<Object,Object> context)` arguments->size() = refParams->size()
`boolean` `checkArgumentsConform(DiagnosticChain diagnostics, Map<Object,Object> context)` arguments->forall (a | a.type.conformsTo (self.refParams->at (arguments->indexOf (a)).type))
`EList<OCLExpression<C>>` `getArgument()` Returns the value of the 'Argument' containment reference list.
`int` `getOperationCode()` Returns the value of the 'Operation Code' attribute
`O` `getReferredOperation()` Returns the value of the 'Referred Operation' reference
`void` `setOperationCode(int value)` Sets the value of the '`Operation Code`' attribute
`void` `setReferredOperation(O value)` Sets the value of the '`Referred Operation`' reference

Methods inherited from interface org.eclipse.ocl.expressions.FeatureCallExp
`isMarkedPre, setMarkedPre`

Methods inherited from interface org.eclipse.ocl.expressions.CallExp
`getSource, setSource`

Methods inherited from interface org.eclipse.ocl.utilities.TypedElement
`getName, getType, setName, setType`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.Visitable
`accept`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.ocl.utilities.CallingASTNode
`getPropertyEndPosition, getPropertyStartPosition, setPropertyEndPosition, setPropertyStartPosition`

Methods inherited from interface org.eclipse.ocl.utilities.ASTNode
`getEndPosition, getStartPosition, setEndPosition, setStartPosition`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getArgument

    EList<OCLExpression<C>> getArgument()

  Returns the value of the 'Argument' containment reference list. The list contents are of type `OCLExpression`<C>.

  If the meaning of the 'Argument' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Argument' containment reference list.
  See Also:
    `ExpressionsPackage.getOperationCallExp_Argument()`

### getReferredOperation

    O getReferredOperation()

  Returns the value of the 'Referred Operation' reference.

  If the meaning of the 'Referred Operation' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Referred Operation' reference.
  See Also:
    `setReferredOperation(Object)`, `ExpressionsPackage.getOperationCallExp_ReferredOperation()`

### setReferredOperation

    void setReferredOperation(O value)

  Sets the value of the '`Referred Operation`' reference.

  Parameters:
    `value` - the new value of the 'Referred Operation' reference.
  See Also:
    `getReferredOperation()`

### getOperationCode

    int getOperationCode()

  Returns the value of the 'Operation Code' attribute.

  If the meaning of the 'Operation Code' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Operation Code' attribute.
  See Also:
    `setOperationCode(int)`, `ExpressionsPackage.getOperationCallExp_OperationCode()`

### setOperationCode

    void setOperationCode(int value)

  Sets the value of the '`Operation Code`' attribute.

  Parameters:
    `value` - the new value of the 'Operation Code' attribute.
  See Also:
    `getOperationCode()`

### checkArgumentsConform

    boolean checkArgumentsConform(DiagnosticChain diagnostics,
                                  Map<Object,Object> context)

  arguments->forall (a | a.type.conformsTo (self.refParams->at (arguments->indexOf (a)).type))

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkArgumentCount

    boolean checkArgumentCount(DiagnosticChain diagnostics,
                               Map<Object,Object> context)

  arguments->size() = refParams->size()

  Parameters:
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.